Package ghidra.util.database.spatial.hyper

# Record Class HyperDirection

java.lang.Object
java.lang.Record
ghidra.util.database.spatial.hyper.HyperDirection

public record HyperDirection(int dimension, boolean forward) extends Record

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final HyperDirection`
  `DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HyperDirection(int dimension, boolean forward)`
  Creates an instance of a `HyperDirection` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `dimension()`
  Returns the value of the `dimension` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `boolean`
  `forward()`
  Returns the value of the `forward` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final HyperDirection DEFAULT

- ## Constructor Details

  - ### HyperDirection

    public HyperDirection(int dimension, boolean forward)
    Creates an instance of a `HyperDirection` record class.
    Parameters:
      `dimension` - the value for the `dimension` record component
      `forward` - the value for the `forward` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### dimension

    public int dimension()
    Returns the value of the `dimension` record component.
    Returns:
      the value of the `dimension` record component

  - ### forward

    public boolean forward()
    Returns the value of the `forward` record component.
    Returns:
      the value of the `forward` record component